
import request from '@/utils/request'
// 获取应用信息列表
export function getAppInfoList(params) {
  return request({
    url: '/apihub/api/page',
    method: 'get',
    params: params
  })
}

export function getAppCategoryList(params) {
  return request({
    url: '/apihub/api-category/list',
    method: 'get',
    params: params
  })
}


export function getAppInfoDetail(params) {
  return request({
    url: '/apihub/api/get',
    method: 'get',
    params: params
  })
}

  // 商家信息
  export function getMerchantInfo(params) {
  return request({
    url: '/api/v1/merchantInfo',
    method: 'get',
    params: params
  })
}

// 相关API
export function getAppRecommendList(params) {
  return request({
    url: '/api/v1/appRecommend',
    method: 'get',
    params: params
  })
}


export function createApiOrderSubmit(query){
  return request({
    url: '/apihub/api-order/create',
    method: 'post',
    data: query
  })
}

export function createPay(query){
  return request({
    url: '/pay/order/submit',
    method: 'post',
    data: query
  })
}